import EsAmap from './src/amap.vue'
import EsMarker from './src/baseOverlay/marker.vue'
import EsPolyline from './src/baseOverlay/polyline.vue'
import EsPolygon from './src/baseOverlay/polygon.vue'
import EsBoundary from './src/boundary.vue'

import EsTile from './src/tile.vue'
import EsToolBar from './src/toolBar.vue'

import EsMarkerClusterer from './src/extra/markerClusterer.vue'
import EsHeatMap from './src/extra/heatMap.vue'

import EsLocaLineLayer from './src/loca/lineLayer.vue'

import { initAMapApiLoader } from './src/services/injected-amap-api-instance'

const base = {
	EsAmap,
	EsMarker,
	EsPolyline,
	EsPolygon,
}

const install = function(Vue, options) {
	if (install.installed) return
	initAMapApiLoader(options)
	Object.keys(base).forEach(key => {
		Vue.component(key, base[key])
	})
}

if (typeof window !== 'undefined' && window.Vue) {
	install(window.Vue)
}

const amap = {
	install,
}

export default amap
export { initAMapApiLoader }
export {
	EsAmap,
	EsMarker,
	EsPolyline,
	EsTile,
	EsMarkerClusterer,
	EsPolygon,
	EsToolBar,
	EsBoundary,
	EsHeatMap,
	EsLocaLineLayer,
}
